> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/computed-queries.md).

# Computed Queries

Manage computed queries, presets, report groups, workflow presets, fields, validation, execution, and exports with the VARIO Cloud REST API.

request to our CUnitTemplates

## GET /cmn/computed-queries/{group-key}/{id}/presets/{presetId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"computed-queries","description":"request to our CUnitTemplates"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/computed-queries/{group-key}/{id}/presets/{presetId}":{"get":{"tags":["computed-queries"],"operationId":"getQueryPreset","parameters":[{"name":"group-key","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"presetId","in":"path","description":"Preset identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"forAdmin","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"forWorkflow","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-cunit-QueryPreset"}}}}}}}},"components":{"schemas":{"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"Template this filter was assigned to.","minLength":1},"templateGroupKey":{"type":"string","description":"The templateGroupKey this filter was assigned to.","minLength":1},"label":{"type":"string","description":"Filter label.","minLength":1},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variables for this preset.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"Results.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"Sort order.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"Additional configurations.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"Intended for workflows."},"outputReportGroupIdentifier":{"type":"string","description":"Identifier of an OutputReportGroup (moduleKey=cunit) used as the print template for this preset."},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-cunit-QueryPresetVariable":{"description":"Variable to replace.","properties":{"path":{"type":"string","description":"Path that uniquely describes this attribute."},"definition":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"mandatory":{"type":"boolean","description":"Whether the variable is mandatory or not."},"variableName":{"type":"string","description":"Variable name."},"visible":{"type":"boolean","default":true,"description":"Is this a visible variable?"},"alignX":{"type":"integer","format":"int32","description":"Layout in the UI - x coordinate."},"alignY":{"type":"integer","format":"int32","description":"Layout in the UI - y coordinate."},"alignWidth":{"type":"integer","format":"int32","description":"Layout in the UI - width."},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-MetaContent":{"description":"Variable definition.","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"}}}}]},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Unique key identifying the attribute."},"attribute":{"type":"string","description":"Name of the attribute containing the result."},"path":{"type":"string","description":"Path that uniquely describes this attribute."},"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"groupDisplayName":{"type":"string","description":"Field group name."},"parentDisplayName":{"type":"string","description":"Referencing field name."},"resultable":{"type":"boolean","default":true,"description":"Can this field be a result field?"},"filterable":{"type":"boolean","default":true,"description":"Can this field be filtered by?"},"sortable":{"type":"boolean","default":true,"description":"Is this field sortable?"},"visible":{"type":"boolean","default":true,"description":"Should this field be shown?"},"functions":{"type":"array","description":"Applied functions (when this is used as result metadata).","items":{"type":"string","description":"Applied functions (when this is used as result metadata)."}},"sortDirection":{"type":"string","description":"Information on how this column was sorted."},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"modelType":{"type":"string","description":"The attribute belongs to the model type 'static' or 'dynamic'.","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier of the entity this attribute belongs to (e.g. 'AccountEntity').","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"For relation attributes: fully qualified class name of the target entity (e.g. 'ag.vario.erp.account.AccountEntity').","readOnly":true},"headers":{"type":"array","description":"For a grouped header (e.g. a cross table) the individual groups are described here.","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-CuAttributeConstraint":{"description":"Attribute constraints.","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimum length (of strings or arrays).","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximum length (of strings or arrays).","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"Minimum value.","readOnly":true},"includeMinValue":{"type":"boolean","description":"Is the minimum value inclusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"Maximum value.","readOnly":true},"includeMaxValue":{"type":"boolean","description":"Is the maximum value inclusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"Is the value 'null' forbidden?","readOnly":true},"notBlank":{"type":"boolean","description":"For strings: is a string consisting only of whitespace forbidden?","readOnly":true},"digitsFraction":{"type":"integer","format":"int32","description":"Maximum number of decimal places.","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"Attribute data type (when dataTypeIdentifier is empty).","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"Which type it is.","readOnly":true},"objectRefIdentifier":{"type":"string","description":"For Object_Ref: which type exactly it is.","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"Which functions are allowed?","items":{"type":"string","description":"Which functions are allowed?"},"readOnly":true},"predicateOperations":{"type":"array","description":"Which operations are allowed?","items":{"type":"string","description":"Which operations are allowed?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit attribute filter options.","properties":{"filterValues":{"type":"array","description":"Possible filter values.","items":{"type":"string","description":"Possible filter values."}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"For a grouped header (e.g. a cross table) the individual groups are described here.","properties":{"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"groupDisplayName":{"type":"string","description":"Field group name."},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Conditions for selecting storage bins.","properties":{"type":{"type":"string","description":"Filter operation.","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"Child definitions (for a junction).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"Filter values.","items":{"type":"string","description":"Filter values."}},"visible":{"type":"boolean","default":true,"description":"Visibility for variables."},"functions":{"type":"array","description":"SQL function applied in the predicate.","items":{"type":"string","description":"SQL function applied in the predicate."}}},"required":["operator","type"]},"common-cunit-QueryPresetResult":{"description":"Results.","properties":{"property":{"type":"string","description":"property","minLength":1},"displayName":{"type":"string","description":"Column title."},"functions":{"type":"array","description":"Functions.","items":{"type":"string","description":"Functions."}},"visible":{"type":"boolean","default":true,"description":"Visible result column."}},"required":["property"]},"common-cunit-QueryPresetSortOrder":{"description":"Sort and order instructions.","properties":{"property":{"type":"string","description":"property","minLength":1},"functions":{"type":"array","description":"Functions","items":{"type":"string","description":"Functions"}},"direction":{"type":"string","description":"sort order","enum":["ASC","DESC"]}},"required":["direction","property"]},"common-cunit-QueryPresetPageable":{"description":"pageable","properties":{"limit":{"type":"integer","format":"int64","description":"Query limit (MaxRecordCount)."}}},"common-cunit-QueryPresetOption":{"description":"options","properties":{"distinctResult":{"type":"boolean","description":"Should the query be executed with a DISTINCT?"}}},"common-cunit-QueryPresetTransformation":{"description":"Additional configurations.","properties":{"crossTable":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation"}}},"common-cunit-QueryPresetCrossTableTransformation":{"description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","properties":{"rowSpecs":{"type":"array","description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"columnSpecs":{"type":"array","description":"Contains the fields that are created as dynamic columns in the cross table.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"results":{"type":"array","description":"Contains the fields that are determined per rowSpec combination depending on the column value.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell"},"minItems":1}},"required":["columnSpecs","results","rowSpecs"]},"common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell":{"description":"Contains the fields that are determined per rowSpec combination depending on the column value.","properties":{"result":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"cellView":{"type":"string","description":"Value representation.","enum":["AS_IS","PERCENT_COL"]},"sumColumn":{"type":"boolean","default":false,"description":"Should a column total be created?"},"rowMode":{"type":"string","description":"Should a row total be created?","enum":["DATA","DATA_AND_TOTAL","TOTAL"]},"aggregateFunction":{"type":"string","description":"Function the cell values are aggregated with."}}},"common-cunit-ArithmeticQueryTerm":{"description":"Arithmetic terms - this is where the actual calculation goes.","properties":{"termName":{"type":"string","description":"Term name for processing and display."},"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-cunit-ArithmeticQueryTermInner":{"description":"Inner terms - either references to attributes or further nestings of the calculation.","properties":{"fragment":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermFragment"},"attribute":{"type":"string","description":"Actual attribute from the template."},"fixedValue":{"type":"number","description":"Fixed value."}}},"common-cunit-ArithmeticQueryTermFragment":{"description":"Term fragment - a further nesting with its own operations.","properties":{"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-user-ObjectSpecificPermissionAggregation":{"description":"All user and group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userPermissions":{"type":"array","description":"User permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificUserPermission"}},"groupPermissions":{"type":"array","description":"Group permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificGroupPermission"}},"operationForAllUsers":{"type":"string","description":"Access rights for all users.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificUserPermission":{"description":"User permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-user-ObjectSpecificGroupPermission":{"description":"Group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"groupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-cunit-QueryPresetUserOptions":{"description":"User-related settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"pinned":{"type":"boolean","default":false,"description":"Is this pinned?"}},"required":["pinned"]}}}}
```

## PUT /cmn/computed-queries/{group-key}/{id}/presets/{presetId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"computed-queries","description":"request to our CUnitTemplates"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/computed-queries/{group-key}/{id}/presets/{presetId}":{"put":{"tags":["computed-queries"],"operationId":"updateQueryPreset","parameters":[{"name":"group-key","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"presetId","in":"path","description":"Filter identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-cunit-QueryPreset"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-cunit-QueryPreset"}}}}}}}},"components":{"schemas":{"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"Template this filter was assigned to.","minLength":1},"templateGroupKey":{"type":"string","description":"The templateGroupKey this filter was assigned to.","minLength":1},"label":{"type":"string","description":"Filter label.","minLength":1},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variables for this preset.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"Results.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"Sort order.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"Additional configurations.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"Intended for workflows."},"outputReportGroupIdentifier":{"type":"string","description":"Identifier of an OutputReportGroup (moduleKey=cunit) used as the print template for this preset."},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-cunit-QueryPresetVariable":{"description":"Variable to replace.","properties":{"path":{"type":"string","description":"Path that uniquely describes this attribute."},"definition":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"mandatory":{"type":"boolean","description":"Whether the variable is mandatory or not."},"variableName":{"type":"string","description":"Variable name."},"visible":{"type":"boolean","default":true,"description":"Is this a visible variable?"},"alignX":{"type":"integer","format":"int32","description":"Layout in the UI - x coordinate."},"alignY":{"type":"integer","format":"int32","description":"Layout in the UI - y coordinate."},"alignWidth":{"type":"integer","format":"int32","description":"Layout in the UI - width."},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-MetaContent":{"description":"Variable definition.","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"}}}}]},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Unique key identifying the attribute."},"attribute":{"type":"string","description":"Name of the attribute containing the result."},"path":{"type":"string","description":"Path that uniquely describes this attribute."},"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"groupDisplayName":{"type":"string","description":"Field group name."},"parentDisplayName":{"type":"string","description":"Referencing field name."},"resultable":{"type":"boolean","default":true,"description":"Can this field be a result field?"},"filterable":{"type":"boolean","default":true,"description":"Can this field be filtered by?"},"sortable":{"type":"boolean","default":true,"description":"Is this field sortable?"},"visible":{"type":"boolean","default":true,"description":"Should this field be shown?"},"functions":{"type":"array","description":"Applied functions (when this is used as result metadata).","items":{"type":"string","description":"Applied functions (when this is used as result metadata)."}},"sortDirection":{"type":"string","description":"Information on how this column was sorted."},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"modelType":{"type":"string","description":"The attribute belongs to the model type 'static' or 'dynamic'.","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier of the entity this attribute belongs to (e.g. 'AccountEntity').","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"For relation attributes: fully qualified class name of the target entity (e.g. 'ag.vario.erp.account.AccountEntity').","readOnly":true},"headers":{"type":"array","description":"For a grouped header (e.g. a cross table) the individual groups are described here.","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-CuAttributeConstraint":{"description":"Attribute constraints.","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimum length (of strings or arrays).","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximum length (of strings or arrays).","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"Minimum value.","readOnly":true},"includeMinValue":{"type":"boolean","description":"Is the minimum value inclusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"Maximum value.","readOnly":true},"includeMaxValue":{"type":"boolean","description":"Is the maximum value inclusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"Is the value 'null' forbidden?","readOnly":true},"notBlank":{"type":"boolean","description":"For strings: is a string consisting only of whitespace forbidden?","readOnly":true},"digitsFraction":{"type":"integer","format":"int32","description":"Maximum number of decimal places.","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"Attribute data type (when dataTypeIdentifier is empty).","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"Which type it is.","readOnly":true},"objectRefIdentifier":{"type":"string","description":"For Object_Ref: which type exactly it is.","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"Which functions are allowed?","items":{"type":"string","description":"Which functions are allowed?"},"readOnly":true},"predicateOperations":{"type":"array","description":"Which operations are allowed?","items":{"type":"string","description":"Which operations are allowed?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit attribute filter options.","properties":{"filterValues":{"type":"array","description":"Possible filter values.","items":{"type":"string","description":"Possible filter values."}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"For a grouped header (e.g. a cross table) the individual groups are described here.","properties":{"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"groupDisplayName":{"type":"string","description":"Field group name."},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Conditions for selecting storage bins.","properties":{"type":{"type":"string","description":"Filter operation.","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"Child definitions (for a junction).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"Filter values.","items":{"type":"string","description":"Filter values."}},"visible":{"type":"boolean","default":true,"description":"Visibility for variables."},"functions":{"type":"array","description":"SQL function applied in the predicate.","items":{"type":"string","description":"SQL function applied in the predicate."}}},"required":["operator","type"]},"common-cunit-QueryPresetResult":{"description":"Results.","properties":{"property":{"type":"string","description":"property","minLength":1},"displayName":{"type":"string","description":"Column title."},"functions":{"type":"array","description":"Functions.","items":{"type":"string","description":"Functions."}},"visible":{"type":"boolean","default":true,"description":"Visible result column."}},"required":["property"]},"common-cunit-QueryPresetSortOrder":{"description":"Sort and order instructions.","properties":{"property":{"type":"string","description":"property","minLength":1},"functions":{"type":"array","description":"Functions","items":{"type":"string","description":"Functions"}},"direction":{"type":"string","description":"sort order","enum":["ASC","DESC"]}},"required":["direction","property"]},"common-cunit-QueryPresetPageable":{"description":"pageable","properties":{"limit":{"type":"integer","format":"int64","description":"Query limit (MaxRecordCount)."}}},"common-cunit-QueryPresetOption":{"description":"options","properties":{"distinctResult":{"type":"boolean","description":"Should the query be executed with a DISTINCT?"}}},"common-cunit-QueryPresetTransformation":{"description":"Additional configurations.","properties":{"crossTable":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation"}}},"common-cunit-QueryPresetCrossTableTransformation":{"description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","properties":{"rowSpecs":{"type":"array","description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"columnSpecs":{"type":"array","description":"Contains the fields that are created as dynamic columns in the cross table.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"results":{"type":"array","description":"Contains the fields that are determined per rowSpec combination depending on the column value.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell"},"minItems":1}},"required":["columnSpecs","results","rowSpecs"]},"common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell":{"description":"Contains the fields that are determined per rowSpec combination depending on the column value.","properties":{"result":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"cellView":{"type":"string","description":"Value representation.","enum":["AS_IS","PERCENT_COL"]},"sumColumn":{"type":"boolean","default":false,"description":"Should a column total be created?"},"rowMode":{"type":"string","description":"Should a row total be created?","enum":["DATA","DATA_AND_TOTAL","TOTAL"]},"aggregateFunction":{"type":"string","description":"Function the cell values are aggregated with."}}},"common-cunit-ArithmeticQueryTerm":{"description":"Arithmetic terms - this is where the actual calculation goes.","properties":{"termName":{"type":"string","description":"Term name for processing and display."},"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-cunit-ArithmeticQueryTermInner":{"description":"Inner terms - either references to attributes or further nestings of the calculation.","properties":{"fragment":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermFragment"},"attribute":{"type":"string","description":"Actual attribute from the template."},"fixedValue":{"type":"number","description":"Fixed value."}}},"common-cunit-ArithmeticQueryTermFragment":{"description":"Term fragment - a further nesting with its own operations.","properties":{"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-user-ObjectSpecificPermissionAggregation":{"description":"All user and group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userPermissions":{"type":"array","description":"User permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificUserPermission"}},"groupPermissions":{"type":"array","description":"Group permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificGroupPermission"}},"operationForAllUsers":{"type":"string","description":"Access rights for all users.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificUserPermission":{"description":"User permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-user-ObjectSpecificGroupPermission":{"description":"Group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"groupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-cunit-QueryPresetUserOptions":{"description":"User-related settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"pinned":{"type":"boolean","default":false,"description":"Is this pinned?"}},"required":["pinned"]}}}}
```

## DELETE /cmn/computed-queries/{group-key}/{id}/presets/{presetId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"computed-queries","description":"request to our CUnitTemplates"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/computed-queries/{group-key}/{id}/presets/{presetId}":{"delete":{"tags":["computed-queries"],"operationId":"deleteQueryPreset","parameters":[{"name":"group-key","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"presetId","in":"path","description":"Filter identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group

> Get the report group bound to the given query preset

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"computed-queries","description":"request to our CUnitTemplates"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group":{"get":{"tags":["computed-queries"],"summary":"Get the report group bound to the given query preset","operationId":"getPresetReportGroup","parameters":[{"name":"group-key","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"presetId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Bound report group (or empty body if none)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-cunit-ComputedQueryResource.PresetReportGroupBinding"}}}}}}}},"components":{"schemas":{"common-cunit-ComputedQueryResource.PresetReportGroupBinding":{"properties":{"groupId":{"type":"string"},"identifier":{"type":"string"},"label":{"type":"string"},"reportCount":{"type":"integer","format":"int64"}}}}}}
```

## POST /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group

> Create a stub report group for the given query preset

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"computed-queries","description":"request to our CUnitTemplates"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group":{"post":{"tags":["computed-queries"],"summary":"Create a stub report group for the given query preset","operationId":"createPresetReportGroup","parameters":[{"name":"group-key","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"presetId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Stub group created and bound to the preset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-cunit-ComputedQueryResource.PresetReportGroupBinding"}}}}}}}},"components":{"schemas":{"common-cunit-ComputedQueryResource.PresetReportGroupBinding":{"properties":{"groupId":{"type":"string"},"identifier":{"type":"string"},"label":{"type":"string"},"reportCount":{"type":"integer","format":"int64"}}}}}}
```

## PUT /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group

> Bind an existing report group to the given query preset

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"computed-queries","description":"request to our CUnitTemplates"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group":{"put":{"tags":["computed-queries"],"summary":"Bind an existing report group to the given query preset","operationId":"bindPresetReportGroup","parameters":[{"name":"group-key","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"presetId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-cunit-ComputedQueryResource.BindReportGroupRequest"}}},"required":true},"responses":{"200":{"description":"Group bound to the preset","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-cunit-ComputedQueryResource.PresetReportGroupBinding"}}}}}}}},"components":{"schemas":{"common-cunit-ComputedQueryResource.BindReportGroupRequest":{"properties":{"identifier":{"type":"string","description":"Identifier of an existing output report group in the cunit module","minLength":1}},"required":["identifier"]},"common-cunit-ComputedQueryResource.PresetReportGroupBinding":{"properties":{"groupId":{"type":"string"},"identifier":{"type":"string"},"label":{"type":"string"},"reportCount":{"type":"integer","format":"int64"}}}}}}
```

## DELETE /cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group

> Detach the report group from the given query preset

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"computed-queries","description":"request to our CUnitTemplates"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/computed-queries/{group-key}/{id}/presets/{presetId}/report-group":{"delete":{"tags":["computed-queries"],"summary":"Detach the report group from the given query preset","operationId":"unbindPresetReportGroup","parameters":[{"name":"group-key","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"presetId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Binding removed"}}}}}}
```

## POST /cmn/computed-queries/{group-key}/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"computed-queries","description":"request to our CUnitTemplates"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/computed-queries/{group-key}/{id}":{"post":{"tags":["computed-queries"],"operationId":"query","parameters":[{"name":"group-key","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequest"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-cunit-CuResult"}}}},"422":{"description":"query was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-cunit-QueryPresetRequest":{"description":"CUnit template for creating the import.","properties":{"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"presetId":{"type":"string","description":"Preset identifier."},"adhocPreset":{"$ref":"#/components/schemas/common-cunit-QueryPreset"},"overrideResults":{"type":"array","description":"Results (override QueryPreset#results).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequestPageable"},"variableSubstitutionList":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"}}},"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"Template this filter was assigned to.","minLength":1},"templateGroupKey":{"type":"string","description":"The templateGroupKey this filter was assigned to.","minLength":1},"label":{"type":"string","description":"Filter label.","minLength":1},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variables for this preset.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"Results.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"Sort order.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"Additional configurations.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"Intended for workflows."},"outputReportGroupIdentifier":{"type":"string","description":"Identifier of an OutputReportGroup (moduleKey=cunit) used as the print template for this preset."},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-cunit-QueryPresetVariable":{"description":"Variable to replace.","properties":{"path":{"type":"string","description":"Path that uniquely describes this attribute."},"definition":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"mandatory":{"type":"boolean","description":"Whether the variable is mandatory or not."},"variableName":{"type":"string","description":"Variable name."},"visible":{"type":"boolean","default":true,"description":"Is this a visible variable?"},"alignX":{"type":"integer","format":"int32","description":"Layout in the UI - x coordinate."},"alignY":{"type":"integer","format":"int32","description":"Layout in the UI - y coordinate."},"alignWidth":{"type":"integer","format":"int32","description":"Layout in the UI - width."},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-MetaContent":{"description":"Variable definition.","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"}}}}]},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Unique key identifying the attribute."},"attribute":{"type":"string","description":"Name of the attribute containing the result."},"path":{"type":"string","description":"Path that uniquely describes this attribute."},"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"groupDisplayName":{"type":"string","description":"Field group name."},"parentDisplayName":{"type":"string","description":"Referencing field name."},"resultable":{"type":"boolean","default":true,"description":"Can this field be a result field?"},"filterable":{"type":"boolean","default":true,"description":"Can this field be filtered by?"},"sortable":{"type":"boolean","default":true,"description":"Is this field sortable?"},"visible":{"type":"boolean","default":true,"description":"Should this field be shown?"},"functions":{"type":"array","description":"Applied functions (when this is used as result metadata).","items":{"type":"string","description":"Applied functions (when this is used as result metadata)."}},"sortDirection":{"type":"string","description":"Information on how this column was sorted."},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"modelType":{"type":"string","description":"The attribute belongs to the model type 'static' or 'dynamic'.","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier of the entity this attribute belongs to (e.g. 'AccountEntity').","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"For relation attributes: fully qualified class name of the target entity (e.g. 'ag.vario.erp.account.AccountEntity').","readOnly":true},"headers":{"type":"array","description":"For a grouped header (e.g. a cross table) the individual groups are described here.","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-CuAttributeConstraint":{"description":"Attribute constraints.","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimum length (of strings or arrays).","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximum length (of strings or arrays).","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"Minimum value.","readOnly":true},"includeMinValue":{"type":"boolean","description":"Is the minimum value inclusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"Maximum value.","readOnly":true},"includeMaxValue":{"type":"boolean","description":"Is the maximum value inclusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"Is the value 'null' forbidden?","readOnly":true},"notBlank":{"type":"boolean","description":"For strings: is a string consisting only of whitespace forbidden?","readOnly":true},"digitsFraction":{"type":"integer","format":"int32","description":"Maximum number of decimal places.","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"Attribute data type (when dataTypeIdentifier is empty).","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"Which type it is.","readOnly":true},"objectRefIdentifier":{"type":"string","description":"For Object_Ref: which type exactly it is.","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"Which functions are allowed?","items":{"type":"string","description":"Which functions are allowed?"},"readOnly":true},"predicateOperations":{"type":"array","description":"Which operations are allowed?","items":{"type":"string","description":"Which operations are allowed?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit attribute filter options.","properties":{"filterValues":{"type":"array","description":"Possible filter values.","items":{"type":"string","description":"Possible filter values."}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"For a grouped header (e.g. a cross table) the individual groups are described here.","properties":{"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"groupDisplayName":{"type":"string","description":"Field group name."},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Conditions for selecting storage bins.","properties":{"type":{"type":"string","description":"Filter operation.","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"Child definitions (for a junction).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"Filter values.","items":{"type":"string","description":"Filter values."}},"visible":{"type":"boolean","default":true,"description":"Visibility for variables."},"functions":{"type":"array","description":"SQL function applied in the predicate.","items":{"type":"string","description":"SQL function applied in the predicate."}}},"required":["operator","type"]},"common-cunit-QueryPresetResult":{"description":"Results.","properties":{"property":{"type":"string","description":"property","minLength":1},"displayName":{"type":"string","description":"Column title."},"functions":{"type":"array","description":"Functions.","items":{"type":"string","description":"Functions."}},"visible":{"type":"boolean","default":true,"description":"Visible result column."}},"required":["property"]},"common-cunit-QueryPresetSortOrder":{"description":"Sort and order instructions.","properties":{"property":{"type":"string","description":"property","minLength":1},"functions":{"type":"array","description":"Functions","items":{"type":"string","description":"Functions"}},"direction":{"type":"string","description":"sort order","enum":["ASC","DESC"]}},"required":["direction","property"]},"common-cunit-QueryPresetPageable":{"description":"pageable","properties":{"limit":{"type":"integer","format":"int64","description":"Query limit (MaxRecordCount)."}}},"common-cunit-QueryPresetOption":{"description":"options","properties":{"distinctResult":{"type":"boolean","description":"Should the query be executed with a DISTINCT?"}}},"common-cunit-QueryPresetTransformation":{"description":"Additional configurations.","properties":{"crossTable":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation"}}},"common-cunit-QueryPresetCrossTableTransformation":{"description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","properties":{"rowSpecs":{"type":"array","description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"columnSpecs":{"type":"array","description":"Contains the fields that are created as dynamic columns in the cross table.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"results":{"type":"array","description":"Contains the fields that are determined per rowSpec combination depending on the column value.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell"},"minItems":1}},"required":["columnSpecs","results","rowSpecs"]},"common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell":{"description":"Contains the fields that are determined per rowSpec combination depending on the column value.","properties":{"result":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"cellView":{"type":"string","description":"Value representation.","enum":["AS_IS","PERCENT_COL"]},"sumColumn":{"type":"boolean","default":false,"description":"Should a column total be created?"},"rowMode":{"type":"string","description":"Should a row total be created?","enum":["DATA","DATA_AND_TOTAL","TOTAL"]},"aggregateFunction":{"type":"string","description":"Function the cell values are aggregated with."}}},"common-cunit-ArithmeticQueryTerm":{"description":"Arithmetic terms - this is where the actual calculation goes.","properties":{"termName":{"type":"string","description":"Term name for processing and display."},"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-cunit-ArithmeticQueryTermInner":{"description":"Inner terms - either references to attributes or further nestings of the calculation.","properties":{"fragment":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermFragment"},"attribute":{"type":"string","description":"Actual attribute from the template."},"fixedValue":{"type":"number","description":"Fixed value."}}},"common-cunit-ArithmeticQueryTermFragment":{"description":"Term fragment - a further nesting with its own operations.","properties":{"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-user-ObjectSpecificPermissionAggregation":{"description":"All user and group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userPermissions":{"type":"array","description":"User permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificUserPermission"}},"groupPermissions":{"type":"array","description":"Group permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificGroupPermission"}},"operationForAllUsers":{"type":"string","description":"Access rights for all users.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificUserPermission":{"description":"User permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-user-ObjectSpecificGroupPermission":{"description":"Group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"groupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-cunit-QueryPresetUserOptions":{"description":"User-related settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"pinned":{"type":"boolean","default":false,"description":"Is this pinned?"}},"required":["pinned"]},"common-cunit-QueryPresetRequestPageable":{"description":"Paging and sorting information.","properties":{"start":{"type":"integer","format":"int64","description":"Start-Offset"},"limit":{"type":"integer","format":"int32","description":"Result limit."},"sortOrders":{"type":"array","description":"Sort and order instructions.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}}}},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Variable values.","properties":{"variableSubstitutions":{"type":"array","description":"Variable assignments.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Variable assignments.","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Values to insert.","items":{"type":"string","description":"Values to insert."}}}},"core-cunit-CuResult":{"description":"Result container.","properties":{"definition":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"}},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## POST /cmn/computed-queries/{group-key}/{id}/print

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"computed-queries","description":"request to our CUnitTemplates"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/computed-queries/{group-key}/{id}/print":{"post":{"tags":["computed-queries"],"operationId":"print","parameters":[{"name":"group-key","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-cunit-QueryPresetOutputRequest"}}}},"responses":{"200":{"description":"Request is processed and returned as Stream","content":{"*/*":{}}},"202":{"description":"Request is accepted and processing in progress","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-api-OutputQueue"}}}}}}}},"components":{"schemas":{"common-cunit-QueryPresetOutputRequest":{"properties":{"exportFormat":{"type":"string","description":"Export formats.","enum":["PDF","JSON_RAW","REPORT_TEMPLATE"]},"exportFilename":{"type":"string","description":"File name (without extension) for a file export."},"outputType":{"type":"string","description":"Output type."},"groupIdentifier":{"type":"string","description":"outputGroup Identifier (optional)"},"published":{"type":"boolean","default":false,"description":"Is this published?"},"presetRequest":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequest"}}},"common-cunit-QueryPresetRequest":{"description":"CUnit template for creating the import.","properties":{"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"presetId":{"type":"string","description":"Preset identifier."},"adhocPreset":{"$ref":"#/components/schemas/common-cunit-QueryPreset"},"overrideResults":{"type":"array","description":"Results (override QueryPreset#results).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetRequestPageable"},"variableSubstitutionList":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"}}},"common-cunit-QueryPreset":{"description":"Adhoc Preset","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"mode":{"type":"string","default":"QUERY","description":"What this preset can represent, QUERY or STATEMENT.","enum":["QUERY","STATEMENT"]},"templateId":{"type":"string","description":"Template this filter was assigned to.","minLength":1},"templateGroupKey":{"type":"string","description":"The templateGroupKey this filter was assigned to.","minLength":1},"label":{"type":"string","description":"Filter label.","minLength":1},"uiPayload":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variables":{"type":"array","description":"Variables for this preset.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"}},"queryStatement":{"type":"string","description":"When mode == STATEMENT, the VQL query."},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"results":{"type":"array","description":"Results.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"}},"sortAndOrders":{"type":"array","description":"Sort order.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}},"pageable":{"$ref":"#/components/schemas/common-cunit-QueryPresetPageable"},"option":{"$ref":"#/components/schemas/common-cunit-QueryPresetOption"},"transformations":{"type":"array","description":"Additional configurations.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetTransformation"}},"arithmeticQueryTerms":{"type":"array","description":"Arithmetic terms - this is where the actual calculation goes.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTerm"}},"definition":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"readOnly":true},"permissionAggregation":{"$ref":"#/components/schemas/common-user-ObjectSpecificPermissionAggregation"},"forWorkflow":{"type":"boolean","default":false,"description":"Intended for workflows."},"outputReportGroupIdentifier":{"type":"string","description":"Identifier of an OutputReportGroup (moduleKey=cunit) used as the print template for this preset."},"userOptions":{"$ref":"#/components/schemas/common-cunit-QueryPresetUserOptions"}},"required":["forWorkflow","label","mode","permissionAggregation","templateGroupKey","templateId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-cunit-QueryPresetVariable":{"description":"Variable to replace.","properties":{"path":{"type":"string","description":"Path that uniquely describes this attribute."},"definition":{"$ref":"#/components/schemas/core-cunit-MetaContent"},"mandatory":{"type":"boolean","description":"Whether the variable is mandatory or not."},"variableName":{"type":"string","description":"Variable name."},"visible":{"type":"boolean","default":true,"description":"Is this a visible variable?"},"alignX":{"type":"integer","format":"int32","description":"Layout in the UI - x coordinate."},"alignY":{"type":"integer","format":"int32","description":"Layout in the UI - y coordinate."},"alignWidth":{"type":"integer","format":"int32","description":"Layout in the UI - width."},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-MetaContent":{"description":"Variable definition.","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"Cell column description (when nested).","items":{"$ref":"#/components/schemas/core-cunit-MetaContent"}}}}]},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"key":{"type":"string","description":"Unique key identifying the attribute."},"attribute":{"type":"string","description":"Name of the attribute containing the result."},"path":{"type":"string","description":"Path that uniquely describes this attribute."},"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"groupDisplayName":{"type":"string","description":"Field group name."},"parentDisplayName":{"type":"string","description":"Referencing field name."},"resultable":{"type":"boolean","default":true,"description":"Can this field be a result field?"},"filterable":{"type":"boolean","default":true,"description":"Can this field be filtered by?"},"sortable":{"type":"boolean","default":true,"description":"Is this field sortable?"},"visible":{"type":"boolean","default":true,"description":"Should this field be shown?"},"functions":{"type":"array","description":"Applied functions (when this is used as result metadata).","items":{"type":"string","description":"Applied functions (when this is used as result metadata)."}},"sortDirection":{"type":"string","description":"Information on how this column was sorted."},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"modelType":{"type":"string","description":"The attribute belongs to the model type 'static' or 'dynamic'.","enum":["STATIC","DYNAMIC"],"readOnly":true},"entityIdentifier":{"type":"string","description":"Identifier of the entity this attribute belongs to (e.g. 'AccountEntity').","readOnly":true},"referencedEntityIdentifier":{"type":"string","description":"For relation attributes: fully qualified class name of the target entity (e.g. 'ag.vario.erp.account.AccountEntity').","readOnly":true},"headers":{"type":"array","description":"For a grouped header (e.g. a cross table) the individual groups are described here.","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-CuAttributeConstraint":{"description":"Attribute constraints.","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimum length (of strings or arrays).","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximum length (of strings or arrays).","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"Minimum value.","readOnly":true},"includeMinValue":{"type":"boolean","description":"Is the minimum value inclusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"Maximum value.","readOnly":true},"includeMaxValue":{"type":"boolean","description":"Is the maximum value inclusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"Is the value 'null' forbidden?","readOnly":true},"notBlank":{"type":"boolean","description":"For strings: is a string consisting only of whitespace forbidden?","readOnly":true},"digitsFraction":{"type":"integer","format":"int32","description":"Maximum number of decimal places.","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"Attribute data type (when dataTypeIdentifier is empty).","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"Which type it is.","readOnly":true},"objectRefIdentifier":{"type":"string","description":"For Object_Ref: which type exactly it is.","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"Which functions are allowed?","items":{"type":"string","description":"Which functions are allowed?"},"readOnly":true},"predicateOperations":{"type":"array","description":"Which operations are allowed?","items":{"type":"string","description":"Which operations are allowed?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit attribute filter options.","properties":{"filterValues":{"type":"array","description":"Possible filter values.","items":{"type":"string","description":"Possible filter values."}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Is a multiple selection allowed?"}}},"core-cunit-CuAttribute.HeaderGroup":{"description":"For a grouped header (e.g. a cross table) the individual groups are described here.","properties":{"displayName":{"type":"string","description":"Field name."},"displayNameOverride":{"type":"boolean","default":false,"description":"The field name was overridden (alias or function)."},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"Attribute data type identifier (when dataType is empty).","readOnly":true},"groupDisplayName":{"type":"string","description":"Field group name."},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Conditions for selecting storage bins.","properties":{"type":{"type":"string","description":"Filter operation.","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"Child definitions (for a junction).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"Filter values.","items":{"type":"string","description":"Filter values."}},"visible":{"type":"boolean","default":true,"description":"Visibility for variables."},"functions":{"type":"array","description":"SQL function applied in the predicate.","items":{"type":"string","description":"SQL function applied in the predicate."}}},"required":["operator","type"]},"common-cunit-QueryPresetResult":{"description":"Results.","properties":{"property":{"type":"string","description":"property","minLength":1},"displayName":{"type":"string","description":"Column title."},"functions":{"type":"array","description":"Functions.","items":{"type":"string","description":"Functions."}},"visible":{"type":"boolean","default":true,"description":"Visible result column."}},"required":["property"]},"common-cunit-QueryPresetSortOrder":{"description":"Sort and order instructions.","properties":{"property":{"type":"string","description":"property","minLength":1},"functions":{"type":"array","description":"Functions","items":{"type":"string","description":"Functions"}},"direction":{"type":"string","description":"sort order","enum":["ASC","DESC"]}},"required":["direction","property"]},"common-cunit-QueryPresetPageable":{"description":"pageable","properties":{"limit":{"type":"integer","format":"int64","description":"Query limit (MaxRecordCount)."}}},"common-cunit-QueryPresetOption":{"description":"options","properties":{"distinctResult":{"type":"boolean","description":"Should the query be executed with a DISTINCT?"}}},"common-cunit-QueryPresetTransformation":{"description":"Additional configurations.","properties":{"crossTable":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation"}}},"common-cunit-QueryPresetCrossTableTransformation":{"description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","properties":{"rowSpecs":{"type":"array","description":"Contains the fields responsible for forming the rows in a cross table (essentially the group key).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"columnSpecs":{"type":"array","description":"Contains the fields that are created as dynamic columns in the cross table.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"minItems":1},"results":{"type":"array","description":"Contains the fields that are determined per rowSpec combination depending on the column value.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell"},"minItems":1}},"required":["columnSpecs","results","rowSpecs"]},"common-cunit-QueryPresetCrossTableTransformation.QueryPresetCrossTableCell":{"description":"Contains the fields that are determined per rowSpec combination depending on the column value.","properties":{"result":{"$ref":"#/components/schemas/common-cunit-QueryPresetResult"},"cellView":{"type":"string","description":"Value representation.","enum":["AS_IS","PERCENT_COL"]},"sumColumn":{"type":"boolean","default":false,"description":"Should a column total be created?"},"rowMode":{"type":"string","description":"Should a row total be created?","enum":["DATA","DATA_AND_TOTAL","TOTAL"]},"aggregateFunction":{"type":"string","description":"Function the cell values are aggregated with."}}},"common-cunit-ArithmeticQueryTerm":{"description":"Arithmetic terms - this is where the actual calculation goes.","properties":{"termName":{"type":"string","description":"Term name for processing and display."},"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-cunit-ArithmeticQueryTermInner":{"description":"Inner terms - either references to attributes or further nestings of the calculation.","properties":{"fragment":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermFragment"},"attribute":{"type":"string","description":"Actual attribute from the template."},"fixedValue":{"type":"number","description":"Fixed value."}}},"common-cunit-ArithmeticQueryTermFragment":{"description":"Term fragment - a further nesting with its own operations.","properties":{"terms":{"type":"array","description":"Inner terms - either references to attributes or further nestings of the calculation.","items":{"$ref":"#/components/schemas/common-cunit-ArithmeticQueryTermInner"}},"operations":{"type":"array","description":"Operations to be performed on the terms.","items":{"type":"string","description":"Operations to be performed on the terms.","enum":["PLUS","MINUS","MULTIPLY","DIVIDE"]}}}},"common-user-ObjectSpecificPermissionAggregation":{"description":"All user and group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userPermissions":{"type":"array","description":"User permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificUserPermission"}},"groupPermissions":{"type":"array","description":"Group permissions.","items":{"$ref":"#/components/schemas/common-user-ObjectSpecificGroupPermission"}},"operationForAllUsers":{"type":"string","description":"Access rights for all users.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-user-ObjectSpecificUserPermission":{"description":"User permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"userRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-user-ObjectSpecificGroupPermission":{"description":"Group permissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"groupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"operation":{"type":"string","description":"Permission.","enum":["READ_ONLY","READ_AND_EDIT"]}}},"common-cunit-QueryPresetUserOptions":{"description":"User-related settings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"pinned":{"type":"boolean","default":false,"description":"Is this pinned?"}},"required":["pinned"]},"common-cunit-QueryPresetRequestPageable":{"description":"Paging and sorting information.","properties":{"start":{"type":"integer","format":"int64","description":"Start-Offset"},"limit":{"type":"integer","format":"int32","description":"Result limit."},"sortOrders":{"type":"array","description":"Sort and order instructions.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetSortOrder"}}}},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Variable values.","properties":{"variableSubstitutions":{"type":"array","description":"Variable assignments.","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Variable assignments.","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Values to insert.","items":{"type":"string","description":"Values to insert."}}}},"common-api-OutputQueue":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"resourceId":{"type":"string","description":"resource id to be printed","readOnly":true},"filename":{"type":"string","description":"filename","readOnly":true},"subject":{"type":"string","description":"short subject","readOnly":true},"outputConsumerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"outputTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromAddress":{"type":"string","description":"(mail) from address","readOnly":true},"fromName":{"type":"string","description":"(mail) from name","maxLength":255,"minLength":0,"readOnly":true},"destinations":{"type":"array","description":"Recipients/Destinations","items":{"$ref":"#/components/schemas/common-output-OutputRecipient"},"readOnly":true},"messages":{"type":"array","description":"messages)","items":{"$ref":"#/components/schemas/common-api-OutputQueue.Message"},"readOnly":true},"attachmentReferences":{"type":"array","description":"(mail) additional file references","items":{"type":"string","description":"(mail) additional file references"},"readOnly":true},"state":{"type":"string","description":"state of the printing task","enum":["REQUESTED","PROCESSING","ERROR","DONE","ABORTED"],"readOnly":true},"processingResult":{"type":"string","description":"Processing result (for the log).","readOnly":true},"fromUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"successfulAttempts":{"type":"integer","format":"int64","description":"successfulAttempts","readOnly":true},"failedAttempts":{"type":"integer","format":"int64","description":"failedAttempts","readOnly":true},"ruleResult":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"importance":{"type":"string","description":"Importance or urgency.","enum":["LOW","NORMAL","HIGH","CRITICAL"],"readOnly":true},"outputQuantity":{"type":"integer","format":"int32","description":"Number of outputs.","minimum":1}}},"common-output-OutputRecipient":{"description":"Recipients/Destinations"},"common-api-OutputQueue.Message":{"description":"messages)","properties":{"contentType":{"type":"string","description":"(mail) content type","enum":["TEXT","HTML"],"readOnly":true},"content":{"type":"string","description":"(mail) content","readOnly":true},"subject":{"type":"string","description":"short subject","readOnly":true}}}}}}
```

## GET /cmn/computed-queries/{group-key}/{id}/presets

>

```json
[...]
